中危 apache tomcat 信息暴露

CVE编号

CVE-2021-25122

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-03-02
漏洞描述
When responding to new h2c connection requests, Apache Tomcat versions 10.0.0-M1 to 10.0.0, 9.0.0.M1 to 9.0.41 and 8.5.0 to 8.5.61 could duplicate request headers and a limited amount of request body from one request to another meaning user A and user B could both see the results of user A's request.
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 apache tomcat * From
(including)
8.5.0
Up to
(including)
8.5.61
运行在以下环境
应用 apache tomcat * From
(including)
9.0.0
Up to
(including)
9.0.41
运行在以下环境
应用 apache tomcat 10.0.0 -
运行在以下环境
应用 apache tomcat 9.0.0 -
运行在以下环境
系统 amazon_AMI tomcat8 * Up to
(excluding)
8.5.63-1.87.amzn1
运行在以下环境
系统 debian_10 tomcat8 * Up to
(excluding)
9.0.31-1~deb10u4
运行在以下环境
系统 debian_9 tomcat8 * Up to
(excluding)
8.5.54-0+deb9u6
运行在以下环境
系统 opensuse_Leap_15.2 tomcat8 * Up to
(excluding)
9.0.36-lp152.2.22.1
运行在以下环境
系统 suse_12_SP5 tomcat8 * Up to
(excluding)
9.0.36-3.64.1
运行在以下环境
系统 ubuntu_18.04 tomcat9 * Up to
(excluding)
9.0.16-3ubuntu0.18.04.2
运行在以下环境
系统 ubuntu_20.04 tomcat9 * Up to
(excluding)
9.0.31-1ubuntu0.2
阿里云评分
4.0
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    N/A
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    传输被破坏
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-200 信息暴露
NVD-CWE-noinfo
阿里云安全产品覆盖情况